{ pkgs, ... }:

{
  environment.systemPackages = [ pkgs.diff-so-fancy ];
  home-manager.users.alexander.programs.git = {
    enable = true;
    userEmail = "papatutuwawa@polynom.me";
    userName = "Alexander \"PapaTutuWawa\"";
    extraConfig = {
      init = {
        defaultBranch = "master";
      };

      pull = {
        rebase = true;
      };
      
      core = {
        editor = "rvim";
        filemode = "false";
        pager = "diff-so-fancy | less --tabs=4 -RFX";
      };
    };
  };
}
